### Signal

# Clutter Timeline::new-frame

#### Declaration

    void
    new_frame (
      ClutterTimeline* self,
      gint msecs,
      gpointer user_data
    )

#### Description [src]

The signal is emitted for each timeline running timeline before a new frame is drawn to give animations a chance to update the scene.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`msecs`

  Type: `gint`

  The elapsed time between 0 and duration.